metrics=char('area','solidity','eccentricity','circularity','fractal_dimension');
count=0;
metric=2;
figure('Name','Length vs Width')
clf
for i = 1:5
	count=count+1;
	data = zeros(7,7);
	subplot(3,2,count)
    y=0;
	for j = 20:20:141
        y=y+1;
        x=1;
        for k = 40:20:161
            all=load(strcat('results\','length',int2str(j),'width',int2str(k),'curve','75','branch','30'));
            data(y,x)=mean(all.results(4,:,count));
            x=x+1;
        end
    end
    colormap('hot');
    imagesc([20:20:141],[40:20:161],data);
    set(gca,'YDir','normal')
    set(gca, 'XTick', [20:20:141]); % Change x-axis ticks
    set(gca, 'XTickLabel', [20:20:141]); % Change x-axis ticks labels.
    set(gca, 'YTick', [40:20:161]); % Change x-axis ticks
    set(gca, 'YTickLabel', [40:20:161]); % Change x-axis ticks labels.
    colorbar;
    xlabel('width')
	ylabel('length')
	title(metrics(i,:))
end

figure('Name','Length vs Width')
clf
count=0;
for i = 1:5
	count=count+1;
	data = zeros(7,7);
	subplot(3,2,count)
    wild = load(strcat('results\','length','100','width','100','curve','75','branch','30'));
    y=0;
	for j = 20:20:141
        y=y+1;
        x=1;
        for k = 40:20:161
            all=load(strcat('results\','length',int2str(j),'width',int2str(k),'curve','75','branch','30'));
            [h,p]=ttest(wild.results(4,:,count),all.results(4,:,count));
            if p >= .05
                p=1;
            else
                p=0;
            end
            data(y,x)=p;
            x=x+1;
        end
    end
    data(4,5)=0.5;
    %colormap('hot');
    %[X,Y]=meshgrid([60:20:141],[60:20:141]);
    %surf(X,Y,data)
    az = 0;
    el = 90;
    view(az, el);
    imagesc([20:20:141],[40:20:161],data);
    set(gca,'YDir','normal')
    set(gca, 'XTick', [20:20:141]); % Change x-axis ticks
    set(gca, 'XTickLabel', [20:20:141]); % Change x-axis ticks labels.
    set(gca, 'YTick', [40:20:161]); % Change x-axis ticks
    set(gca, 'YTickLabel', [40:20:161]); % Change x-axis ticks labels.
    %colorbar;
    xlabel('width')
	ylabel('length')
	title(['pvalue > .05 ',' ',metrics(i,:)])
end

% count =0;
% figure('Name','Curving vs Width')
% clf
% for i = 1:5
% 	count=count+1;
% 	data = zeros(5,5);
% 	subplot(3,2,count)
%     y=0;
% 	for j = [0,24,48,72,90]
%         y=y+1;
%         x=1;
%         for k = 60:20:141
%             all=load(strcat('results\','length','100','width',int2str(k),'curve',int2str(j)));
%             data(y,x)=mean(all.results(4,:,count));
%             x=x+1;
%         end
%     end
%     colormap('hot');
%     imagesc([60:20:141],[50:25:151],data);
%     set(gca,'YDir','normal')
%     colorbar;
%     xlabel('width')
% 	ylabel('curving')
% 	title(metrics(i,:))
% end
% 
% figure('Name','Curving vs Width')
% clf
% count=0;
% for i = 1:5
% 	count=count+1;
% 	data = zeros(5,5);
% 	subplot(3,2,count)
%     wild = load(strcat('results\','length','100','width','100','curve','72'));
%     y=0;
% 	for j = [0,24,48,72,90]
%         y=y+1;
%         x=1;
%         for k = 60:20:141
%             all=load(strcat('results\','length','100','width',int2str(k),'curve',int2str(j)));
%             [h,p]=ttest(wild.results(4,:,count),all.results(4,:,count));
%             if wild.results == all.results
%                 p = 1;
%             end
%             if p >= .05
%                 p=1;
%             else
%                 p=0;
%             end
%             data(y,x)=p;
%             x=x+1;
%         end
%     end
%     %colormap('hot');
%     %[X,Y]=meshgrid([60:20:141],[50:25:151]);
%     %surf(X,Y,data)
%     az = 0;
%     el = 90;
%     view(az, el);
%     imagesc([60:20:141],[60:20:141],data);
%     set(gca,'YDir','normal')
%     colorbar;
%     xlabel('width')
% 	ylabel('curving')
% 	title(strcat('pvalue > .05 ',' ',metrics(i,:)))
% end
% 
% count=0;
% figure('Name','Curving vs Length')
% for i = 1:5
% 	count=count+1;
% 	data = zeros(5,5);
% 	subplot(3,2,count)
%     y=0;
% 	for j = [0,24,48,72,90]
%         y=y+1;
%         x=1;
%         for k = 60:20:141
%             all=load(strcat('results\','length',int2str(k),'width','100','curve',int2str(j)));
%             data(y,x)=mean(all.results(4,:,count));
%             x=x+1;
%         end
%     end
%     colormap('hot');
%     imagesc([60:20:141],[50:25:151],data);
%     set(gca,'YDir','normal')
%     colorbar;
%     xlabel('length')
% 	ylabel('curving')
% 	title(metrics(i,:))
% end
% 
% figure('Name','Curving vs Length')
% count=0;
% for i = 1:5
% 	count=count+1;
% 	data = zeros(5,5);
% 	subplot(3,2,count)
%     wild = load(strcat('results\','length','100','width','100','curve','72'));
%     y=0;
% 	for j = [0,24,48,72,90]
%         y=y+1;
%         x=1;
%         for k = 60:20:141
%             all=load(strcat('results\','length',int2str(k),'width','100','curve',int2str(j)));
%             [h,p]=ttest(wild.results(4,:,count),all.results(4,:,count));
%             if wild.results == all.results
%                 p = 1;
%             end
%             if p >= .05
%                 p=1;
%             else
%                 p=0;
%             end
%             data(y,x)=p;
%             x=x+1;
%         end
%     end
%     %colormap('hot');
%     %[X,Y]=meshgrid([60:20:141],[50:25:151]);
%     %surf(X,Y,data)
%     az = 0;
%     el = 90;
%     view(az, el);
%     imagesc([60:20:141],[60:20:141],data);
%     set(gca,'YDir','normal')
%     colorbar;
%     xlabel('length')
% 	ylabel('curving')
% 	title(strcat('pvalue > .05 ',' ',metrics(i,:)))
% end
