%Builds the KNN model
k=20;
testpoint=200000;
data=load(strcat('CondensedData\data.mat'));
data=data.data;
datatofind = data(testpoint,:)%[15225 0.4224 0.78 0.15 1.61]
target=load(strcat('CondensedData\target.mat'));
target=target.target;
expectedtarget=target(testpoint,:)
%model = KDTreeSearcher(data);
model = ExhaustiveSearcher(data,'Distance','cosine');%'seuclidean');%'mahalanobis');
%model = fitcknn(data,target);
display('Model Built')
ind = knnsearch(model,datatofind,'K',k);
knn=target(ind(:),:);
pred = mean(knn);
display(strcat('length',int2str(pred(1)),'width',int2str(pred(2)),'curve',int2str(pred(3)),'branch',int2str(pred(4))))
RMSE = sqrt(mean((expectedtarget-pred).^2))
diff =expectedtarget-pred
perdiff = (abs(expectedtarget-pred)./expectedtarget)*100